Bug 1953728 - Fix issues related to loading dynamic plugins
Summary: Fix issues related to loading dynamic plugins
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.7
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 4.7.z
Assignee: Vojtech Szocs
QA Contact: Yadan Pei
URL:
Whiteboard:
Depends On: 1953726
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-04-26 18:53 UTC by Vojtech Szocs
Modified: 2021-07-27 07:23 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1953726
Environment:
Last Closed: 2021-05-19 15:16:51 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 8780 0 None open Fix issues related to loading dynamic plugins 2021-04-26 18:54:51 UTC
Red Hat Product Errata RHBA-2021:1550 0 None None None 2021-05-19 15:17:04 UTC

Description Vojtech Szocs 2021-04-26 18:53:05 UTC
+++ This bug was initially created as a clone of Bug #1953726 +++

Description of problem:

Some fixes are needed to ensure Console dynamic plugins are loaded properly in the browser.

Issue details:

(1) loadPluginFromURL function should wait until the plugin is loaded
(2) generated plugin-entry.js file should use /api/plugins/{PluginName}/ to load plugin-specific assets
(3) extension validation should not fail upon plugin's production build (due to webpack module concatenation)

Tech docs reference:

https://github.com/openshift/console/blob/master/frontend/packages/console-dynamic-plugin-sdk/README.md

Comment 5 Siddharth Sharma 2021-05-10 17:59:36 UTC
This bug will be shipped as part of next z-stream release 4.7.11 on May 19th, as 4.7.10 was dropped due to a blocker https://bugzilla.redhat.com/show_bug.cgi?id=1958518.

Comment 9 errata-xmlrpc 2021-05-19 15:16:51 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.7.11 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2021:1550


Note You need to log in before you can comment on or make changes to this bug.